import React from 'react'

export default function DbSelector(props) {
  const { qdbs, onChange } = props

  return (
    <>
      <select
        style={{ margin: '10px 0px' }}
        defaultValue={-1}
        onChange={(event) => {
          onChange(qdbs[event.target.value])
        }}
      >
        <option disabled value={-1}>
          {' -- Válassz egy kérdés adatbázist -- '}
        </option>
        {qdbs.map((qdb, i) => {
          return (
            <option value={i} key={qdb.name}>
              {qdb.name}
            </option>
          )
        })}
      </select>
    </>
  )
}
